%define anolis_release 1

Name:		cargo-vendored-libc
Version:	0.2.144
Release:	%{anolis_release}%{?dist}
Summary:	Rust libc

License:	MIT/Apache
URL:		https://gitee.com/src-anolis-os/rust/blob/a23/rustc-1.71.1-src.tar.xz
# source from rustc-1.71.1-src/vendor/libc-0.2.144/ directory of the rustc-1.71.1-src.tar.xz compressed package.
# branch: a23
# commit: b4d0b46ea735034a4b2e800fe64168a12b462003
Source0:	libc-%{version}.tar.gz

BuildArch:	noarch
%description
Provides libc library

%prep
%setup -q -c -n libc-%{version}

%build
echo OK

%install
mkdir -p %{buildroot}%{_datadir}/cargo/vendor
cp -arp libc-0.2.144 %{buildroot}%{_datadir}/cargo/vendor/libc

%files
%{_datadir}/cargo/vendor/libc

%changelog
* Thu Nov 02 2023 Jingyun Hua <huajingyun@loongson.cn> - 0.2.144-1
- Init version
